evCopula-class {copula} | R Documentation

## Classes Representing Extreme-Value Copulas

### Description

Class `evCopula` is the virtual (mother) class of all extreme-value copulas. There currently are five subclasses, `"galambosCopula"`, `"huslerReissCopula"`, `"tawnCopula"`, `"tevCopula"`, and `"gumbelCopula"`, the latter of which is also an Archimedean copula, see the page for class `"archmCopula"`.

### Objects from the Class

`evCopula` is a virtual class: No objects may be created from it. Objects of class `"galambosCopula"` etc, can be created by calls of the form `new("galambosCopula", ...)`, but typically rather by `galambosCopula()`, etc, see there.

### Slots

All slots are inherited from the mother class `"copula"`, see there.

### Methods

dCopula

  `signature(copula = "galambosCopula")`: ...

pCopula

  `signature(copula = "galambosCopula")`: ...

rCopula

  `signature(copula = "galambosCopula")`: ...

dCopula

  `signature(copula = "huslerReissCopula")`: ...

pCopula

  `signature(copula = "huslerReissCopula")`: ...

rCopula

  `signature(copula = "huslerReissCopula")`: ...

### Extends

Class `"evCopula"` extends class `"copula"` directly. Classes `"galambosCopula"`, `"huslerReissCopula"`, `"tawnCopula"`, and `"tevCopula"` extend class `"evCopula"` directly.

### Note

Objects of class `"gumbelCopula"` are also of class `"archmCopula"`.

### See Also

`evCopula`, `evTestC`, `evTestK`, `gofEVCopula`, `copula-class`.

[Package copula version 0.999-15 Index]